--[[

ARL-FirstAId.lua

First Aid data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= AceLibrary("Babble-Faction-2.2")

-- Initializes the array adding all First Aid recipes.  As of 2.2 there are 15 recipes.

function ARL:ARL_InitFirstAid()
  
	ARL:ARL_InitializeRecipeArray()
 
	-- Trainer Recipes
	ARL:addTradeSkill2(3275, 1, L["Trainer"])
	ARL:addTradeSkill2(3276, 40, L["Trainer"])
	ARL:addTradeSkill2(3277, 80, L["Trainer"])
	ARL:addTradeSkill2(7934, 80, L["Trainer"])
	ARL:addTradeSkill2(3278, 115, L["Trainer"])
	ARL:addTradeSkill2(7928, 150, L["Trainer"])
	ARL:addTradeSkill2(10841, 240, L["Trainer"])
	ARL:addTradeSkill2(18629, 260, L["Trainer"])
	ARL:addTradeSkill2(18630, 290, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill2(7929, 180, ARL:ARL_AddVendor({165, 166}, false))
	ARL:addTradeSkill2(10840, 210, ARL:ARL_AddVendor({165, 166}, false))
	ARL:addTradeSkill2(27032, 330, ARL:ARL_AddVendor({167, 168}, false))
	ARL:addTradeSkill2(27033, 360, ARL:ARL_AddVendor({167, 168}, false))

	-- World Drops
	ARL:addTradeSkill2(7935, 130, L["UWD"])

	-- Reputations
	ARL:addTradeSkill2(23787, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})

end
